Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 707942 - sys-process/criu-3.12 : fails to build with -fno-common or gcc-10
Summary: sys-process/criu-3.12 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Virtualization Team
URL: https://github.com/checkpoint-restore...
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-02-02 15:53 UTC by Toralf Förster
Modified: 2020-04-25 11:29 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,17.26 KB, text/plain)
2020-02-02 15:53 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,259.11 KB, text/plain)
2020-02-02 15:53 UTC, Toralf Förster
Details
environment (environment,157.86 KB, text/plain)
2020-02-02 15:53 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,21.99 KB, application/x-bzip)
2020-02-02 15:53 UTC, Toralf Förster
Details
sys-process:criu-3.12:20200202-144026.log (sys-process:criu-3.12:20200202-144026.log,81.60 KB, text/plain)
2020-02-02 15:53 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,38.55 KB, application/x-bzip)
2020-02-02 15:53 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-02-02 15:53:40 UTC
x86_64-pc-linux-gnu-gcc -c -O2 -pipe -march=native -fno-common -Wall -Wformat-security -DCONFIG_X86_64 -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -DCONFIG_COMPAT -iquote include/ -DCONFIG_COMPAT -fno-strict-aliasing -iquote criu/include -iquote include -iquote images -iquote criu/arch/x86/include -iquote . -I/usr/include/libnl3 -I ./compel/include/uapi -DGLOBAL_CONFIG_DIR='"/etc/criu/"' -DDEFAULT_CONFIG_FILENAME='"default.conf"' -DUSER_CONFIG_DIR='".criu/"' -iquote criu/arch/x86/include -iquote criu/include -iquote include -I ./compel/include/uapi criu/arch/x86/kerndat.c -o criu/arch/x86/kerndat.o
x86_64-pc-linux-gnu-gcc -c -O2 -pipe -march=native -fno-common -Wall -Wformat-security -DCONFIG_X86_64 -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -DCONFIG_COMPAT -iquote include/ -DCONFIG_COMPAT -fno-strict-aliasing -iquote criu/include -iquote include -iquote images -iquote criu/arch/x86/include -iquote . -I/usr/include/libnl3 -I ./compel/include/uapi -DGLOBAL_CONFIG_DIR='"/etc/criu/"' -DDEFAULT_CONFIG_FILENAME='"default.conf"' -DUSER_CONFIG_DIR='".criu/"' -iquote criu/arch/x86/include -iquote criu/include -iquote include -I ./compel/include/uapi criu/arch/x86/sigaction_compat.c -o criu/arch/x86/sigaction_compat.o
x86_64-pc-linux-gnu-gcc -c -O2 -pipe -march=native -fno-common -Wall -Wformat-security -DCONFIG_X86_64 -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -DCONFIG_COMPAT -iquote include/ -DCONFIG_COMPAT -fno-strict-aliasing -iquote criu/include -iquote include -iquote images -iquote criu/arch/x86/include -iquote . -I/usr/include/libnl3 -I ./compel/include/uapi -DGLOBAL_CONFIG_DIR='"/etc/criu/"' -DDEFAULT_CONFIG_FILENAME='"default.conf"' -DUSER_CONFIG_DIR='".criu/"' -iquote criu/arch/x86/include -iquote criu/include -iquote include -I ./compel/include/uapi criu/arch/x86/sigframe.c -o criu/arch/x86/sigframe.o
x86_64-pc-linux-gnu-ld  -r -z noexecstack -o criu/arch/x86/crtools.built-in.o  criu/arch/x86/cpu.o criu/arch/x86/crtools.o criu/arch/x86/kerndat.o criu/arch/x86/sigaction_compat.o criu/arch/x86/sigframe.o 
x86_64-pc-linux-gnu-ld: criu/arch/x86/crtools.o:(.bss+0x0): multiple definition of `rpc_cfg_file'; criu/arch/x86/cpu.o:(.bss+0x0): first defined here
make[2]: *** [/var/tmp/portage/sys-process/criu-3.12/work/criu-3.12/scripts/nmk/scripts/build.mk:164: criu/arch/x86/crtools.built-in.o] Error 1

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_hardened-libressl_test-20200126-104546

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
  [5]   pypy3 (fallback)

Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	AdoptOpenJDK JRE 8.242_p08 [openjdk-jre-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-jre-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Sun, 02 Feb 2020 13:27:55 +0000

emerge -qpvO sys-process/criu
[ebuild  N    ] sys-process/criu-3.12  USE="-doc -python (-selinux) -setproctitle -static-libs" PYTHON_TARGETS="python2_7"
Comment 1 Toralf Förster gentoo-dev 2020-02-02 15:53:43 UTC
Created attachment 611068 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-02-02 15:53:45 UTC
Created attachment 611070 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-02-02 15:53:48 UTC
Created attachment 611072 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-02-02 15:53:51 UTC
Created attachment 611074 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-02-02 15:53:54 UTC
Created attachment 611076 [details]
sys-process:criu-3.12:20200202-144026.log
Comment 6 Toralf Förster gentoo-dev 2020-02-02 15:53:57 UTC
Created attachment 611078 [details]
temp.tbz2
Comment 7 Sergei Trofimovich gentoo-dev 2020-02-02 18:52:16 UTC
Proposed fix upstream as https://github.com/checkpoint-restore/criu/pull/936
Comment 8 Larry the Git Cow gentoo-dev 2020-04-25 11:29:44 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=58bfbf51627caf280e9b644e5df8f4f0f35ffd54

commit 58bfbf51627caf280e9b644e5df8f4f0f35ffd54
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2020-04-25 11:27:14 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2020-04-25 11:29:37 +0000

    sys-process/criu: tweak for gcc-10, bug #707942
    
    Closes: https://bugs.gentoo.org/707942
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>

 sys-process/criu/criu-3.12.ebuild             |  3 +-
 sys-process/criu/files/criu-3.12-gcc-10.patch | 76 +++++++++++++++++++++++++++
 2 files changed, 78 insertions(+), 1 deletion(-)